package com.landray.kmss.sys.attachment.service;

import com.landray.kmss.sys.lbpmservice.support.forms.LbpmProcessMainForm;
import java.util.Map;
import com.landray.kmss.sys.attachment.model.IAttachment;
import com.landray.kmss.common.actions.RequestContext;
import com.landray.kmss.common.model.IBaseModel;
import com.landray.kmss.common.forms.IExtendForm;

public interface ISysAttachmentService
{
    void convertModelToForm(final IExtendForm p0, final IBaseModel p1, final RequestContext p2) throws Exception;
    
    void convertFormToModel(final IExtendForm p0, final IBaseModel p1, final RequestContext p2) throws Exception;
    
    void addAttachment(final IAttachment p0, final IAttachment p1) throws Exception;
    
    void addAttachment(final IAttachment p0, final IAttachment p1, final String p2) throws Exception;
    
    Map getCloneAttachmentMap(final IAttachment p0, final String p1) throws Exception;
    
    Map getCloneAttachmentMapForModel(final IAttachment p0, final String p1, final IBaseModel p2) throws Exception;
    
    Map getCloneAttachmentMapForModel(final IAttachment p0, final String p1, final IBaseModel p2, final String p3) throws Exception;
    
    void updateCloneAttachmentMap(final IAttachment p0) throws Exception;
    
    void saveByLbpmForm(final LbpmProcessMainForm p0) throws Exception;
    
    void saveApi(final IBaseModel p0) throws Exception;
}
